Package org.apache.sysds.runtime.instructions.fed

## Class FEDInstructionUtils

- java.lang.Object
- - org.apache.sysds.runtime.instructions.fed.FEDInstructionUtils

    public class FEDInstructionUtils
    extends Object

### Field Summary

Fields
`static boolean` `noFedRuntimeConversion`

### Constructor Summary

Constructors
`FEDInstructionUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Instruction` `checkAndReplaceCP​(Instruction inst, ExecutionContext ec)` Check and replace CP instructions with federated instructions if the instruction match criteria.
`static Instruction` `checkAndReplaceSP​(Instruction inst, ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### noFedRuntimeConversion

    public static boolean noFedRuntimeConversion

### Constructor Detail

#### FEDInstructionUtils

    public FEDInstructionUtils()

### Method Detail

#### checkAndReplaceCP

    public static Instruction checkAndReplaceCP​(Instruction inst,
                                                ExecutionContext ec)

Check and replace CP instructions with federated instructions if the instruction match criteria.

Parameters:
  `inst` - The instruction to analyze
  `ec` - The Execution Context
Returns:
  The potentially modified instruction

#### checkAndReplaceSP

    public static Instruction checkAndReplaceSP​(Instruction inst,
                                                ExecutionContext ec)